<?php
function curlTest()
{
	if (function_exists("curl_init")){$value1=1;}else{$value1=0;}
	if (function_exists("curl_setopt")){$value2=1;}else{$value2=0;}
	if (function_exists("curl_exec")){$value3=1;}else{$value3=0;}
	if (function_exists("curl_close")){$value4=1;}else{$value4=0;}
	if (function_exists("curl_errno")){$value5=1;}else{$value5=0;}		
	$res  = (integer)$value1 + (integer)$value2 + (integer)$value3 + (integer)$value4 + (integer)$value5;	
	return $res;
}
function fsockopenTest()
{
	if (function_exists("fsockopen")){$value1=1;}else{$value1=0;}
	if (function_exists("fputs")){$value2=1;}else{$value2=0;}
	if (function_exists("feof")){$value3=1;}else{$value3=0;}
	if (function_exists("fread")){$value4=1;}else{$value4=0;}
	if (function_exists("fgets")){$value5=1;}else{$value5=0;}	
	if (function_exists("fclose")){$value6=1;}else{$value6=0;}	
	$res = (integer)$value1 + (integer)$value2 + (integer)$value3 + (integer)$value4 + (integer)$value5 + (integer)$value6;	
	return $res;
}
function fopenTest()
{	
	if (function_exists("fopen")){$value1=1;}else{$value1=0;}
	if (function_exists("fclose")){$value2=1;}else{$value2=0;}
	if (function_exists("fread")){$value3=1;}else{$value3=0;}
	if (function_exists("http_build_query")){$value4=1;}else{$value4=0;}
	if (function_exists("stream_context_create")){$value5=1;}else{$value5=0;}
	if (function_exists("stream_get_contents")){$value6=1;}else{$value6=0;}
	$res = (integer)$value1 + (integer)$value2 + (integer)$value3 + (integer)$value4 + (integer)$value5 + (integer)$value6;	
	return $res;
}
?>